<?php
if (!defined('ABSPATH')) {
    exit;
}
return array(
    'enabled' => array(
        'title' => __('Amazon Payment Gateway', 'eh-amazon-payments'),
        'label' => __('Enable', 'eh-amazon-payments'),
        'type' => 'checkbox',
        'description' => __('This option will enable Amazon Payments method in checkout page.', 'eh-amazon-payments'),
        'default' => 'no',
        'desc_tip' => true
    ),
    'title' => array(
        'title' => __('Title', 'eh-amazon-payments'),
        'type' => 'text',
        'description' => __('Enter the title of the checkout which the user can see.', 'eh-amazon-payments'),
        'default' => __('Amazon Payments', 'eh-amazon-payments'),
        'desc_tip' => true
    ),
    'description' => array(
        'title' => __('Regular Description', 'eh-amazon-payments'),
        'type' => 'textarea',
        'css' => 'width:25em',
        'description' => __('Description which the user sees during checkout.', 'eh-amazon-payments'),
        'default' => __('Pay for your order via Amazon Payments Secure Server.', 'eh-amazon-payments'),
        'desc_tip' => true
    ),
    'ssl_mode' => array(
        'title' => __('SSL Mode of your Store', 'eh-amazon-payments'),
        'type' => 'select',
        'class'       => 'wc-enhanced-select',
        'options' => array(
            'https' => __('HTTPS', 'eh-amazon-payments'),
            'http' => __('HTTP', 'eh-amazon-payments')
        ),
        'description' => sprintf(__('If your site is SSL enabled, Pay with Amazon button customization is applicable.<br>You need to geneate Login with App Client ID in Seller Portal<br><div class="links_for_amazon"/>', 'eh-amazon-payments')),
        'default' => 'https'
    ),
    'credentials_title' => array(
        'title' => sprintf('<span style="text-decoration: underline;color:brown;">'.__('Amazon Payments Credentials','eh-amazon-payments').'<span>'),
        'type' => 'title'
    ),
    'environment' => array(
        'title' => __('Environment', 'eh-amazon-payments'),
        'type' => 'select',
        'class'       => 'wc-enhanced-select',
        'options' => array(
            'sandbox' => __('Sandbox Mode', 'eh-amazon-payments'),
            'live' => __('Live Mode', 'eh-amazon-payments')
        ),
        'description' => sprintf(__('Obtain your','eh-amazon-payments').' <a target=\'_blank\' href=\'https://sellercentral.amazon.com/\'>'.__('API credentials', 'eh-amazon-payments').'</a> '. __('from Amazon Seller Central.','eh-amazon-payments')),
        'default' => 'sandbox'
    ),
    'merchant_id' => array(
        'title' => __('Merchant ID', 'eh-amazon-payments'),
        'type' => 'text',
        'default' => ''
    ),
    'access_keys' => array(
        'title' => __('Access Keys', 'eh-amazon-payments'),
        'type' => 'text',
        'default' => ''
    ),
    'secret_keys' => array(
        'title' => __('Secret Keys', 'eh-amazon-payments'),
        'type' => 'password',
        'default' => ''
    ),
    'client_id' => array(
        'title' => __('Amazon Client ID', 'eh-amazon-payments'),
        'type' => 'text',
        'default' => ''
    ),
    'client_secret' => array(
        'title' => __('Amazon Client Secret', 'eh-amazon-payments'),
        'type' => 'password',
        'default' => ''
    ),
    'amazon_title' => array(
        'title' => sprintf('<span style="text-decoration: underline;color:brown;">'.__('Pay with Amazon Abilities', 'eh-amazon-payments').'<span>'),
        'type' => 'title'
    ),
    'amazon_on_checkout_page' => array(
        'title' => __('Pay with Amazon', 'eh-amazon-payments'),
        'type' => 'checkbox',
        'label' => __('Enable on Checkout Page', 'eh-amazon-payments'),
        'default' => 'no',
        'description' => __('Allows customers to checkout using Amazon Payments directly from the Checkout page.', 'eh-amazon-payments'),
        'desc_tip' => true
    ),    
    'appearance_title' => array(
        'title' => sprintf('<span style="text-decoration: underline;color:brown;">'.__('Pay with Amazon Customization', 'eh-amazon-payments').'<span>'),
        'type' => 'title'
    ),
    'pay_with_amazon_description' => array(
        'title' => __('Pay with Amazon Description', 'eh-amazon-payments'),
        'type' => 'textarea',
        'css' => 'width:25em',
        'description' => __('Description which the user sees during Pay with Amazon.', 'eh-amazon-payments'),
        'default' => __('Reduce multiple click by clicking on Pay with Amazon', 'eh-amazon-payments'),
        'desc_tip' => true
    ),       
    'policy_notes' => array(
        'title' => __('Seller Policy', 'eh-amazon-payments'),
        'type' => 'textarea',
        'css' => 'width:25em',
        'description' => __('Enter the seller protection policy or customized text which will be displayed in order review page.', 'eh-amazon-payments'),
        'default' => __('You are Protected by '.get_bloginfo( 'name', 'display').' Policy', 'eh-amazon-payments'),
        'desc_tip' => true
    ),
    'log_title' => array(
        'title' => sprintf('<span style="text-decoration: underline;color:brown;">'.__('Developer Settings','eh-amazon-payments').'<span>'),
        'type' => 'title',
        'description' => sprintf(__('Enable Logging to save Amazon Payments logs into log file.','eh-amazon-payments').' <a href="'.admin_url("admin.php?page=wc-status&tab=logs").'" target="_blank">'.__(' Check Now','eh-amazon-payments').' </a>')
    ),
    'amazon_logging' => array(
        'title' => __('Logging', 'eh-amazon-payments'),
        'label' => __('Enable', 'eh-amazon-payments'),
        'type' => 'checkbox',
        'description' => sprintf('<span style="color:green">'.__('Log File','eh-amazon-payments').'</span>: ' . strstr(wc_get_log_file_path('eh_amazon_pay_log'), 'eh_amazon_pay_log') . ' ( ' . $this->file_size(filesize(wc_get_log_file_path('eh_amazon_pay_log'))) . ' ) '),
        'default' => 'yes'
    )
    );

